<?php

/*
 * This file is part of Flickr-CAPTCHA
 * 
 * Flickr-CAPTCHA is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Flickr-CAPTCHA is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Flickr-CAPTCHA.  If not, see <http://www.gnu.org/licenses/>.
 */

session_start();

?>

<html>

<head>
<link type="text/css" rel="stylesheet" href="flickr.captcha.css" />
<script type="text/javascript" src="flickr.captcha.js">
</script>
<title>Flickr-CAPTCHA tester</title>
</head>

<body>

<?php

require_once('flickr_captcha.class.php');

$fc = new flickr_captcha(array());
switch($fc->validate_submit()) {
    case $fc->PASSED: /* passed captcha! */
        echo "<p>Correct, well done</p>";
        echo $fc->display_report();
        break;
    case $fc->FAILED: /* did not pass but we can give em another go */
        echo "<p>Sorry, you failed</p>";
        echo $fc->display_report();
        break;
    case $fc->MAXTRY_EXCEEDED: /* reached maximum amount of retries */
        echo sprintf("<p>You've tried %s times without success,sorry</p>",$fc->maxtry);
        exit();
}
echo $fc->display_form();

?>

</body>

</html>
